Vacancies
List vacancies
Query Parameters
ends_on?string
Format
datelegal_entity_id?integer
Format
int64location_ids[]?array<>
page?integer
Which page of results to return. Defaults to 1.
Format
int32Range
1 <= valuesort_by?string
Default
"opened_at"Value in
- "opened_at"
- "created_at"
- "updated_at"
sort_dir?string
Default
"asc"Value in
- "asc"
- "desc"
starts_on?string
Format
datetag_ids[]?array<>
title?string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/public/v3/recruitment/vacancies"{ "data": [ { "id": 0, "title": "string", "description": "string", "state": "string", "priority": "string", "starts_on": "2019-08-24", "ends_on": "2019-08-24", "positions": 0, "currency_code": "string", "post_on_careers": true, "applications_count": 0, "job_level": { "id": 0, "name": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "employment_type": { "id": 0, "name": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "position": { "id": 0, "name": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "division": { "id": 0, "name": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "department": { "id": 0, "name": "string", "parent_id": 0, "manager_id": 0, "department_level": { "id": 0, "name": "string", "hex_color": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "fields": { "property1": { "name": "string", "value": "string" }, "property2": { "name": "string", "value": "string" } } }, "location": { "id": 0, "name": "string", "address": "string", "time_zone": "string", "holiday_policy_id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "legal_entity": { "id": 0, "name": "string" }, "recruitment_pipeline": { "id": 0, "name": "string", "stages": [ { "id": 0, "name": "string", "position": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "hiring_lead": { "id": 0, "first_name": "string", "last_name": "string", "email": "string" }, "collaborators": [ { "id": 0, "first_name": "string", "last_name": "string", "email": "string" } ], "tags": [ { "id": 0, "name": "string" } ], "skills": [ "string" ], "opened_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "custom_fields": [ { "vacancy_field_id": 0, "name": "string", "internal_name": "string", "value": "string" } ], "minimum_salary": 0, "maximum_salary": 0 } ], "metadata": { "pagination": { "page": 0, "pages": 0, "count": 0, "items": 0 } }}